Package network.server

# Class ServerConnexion

java.lang.Object
network.Connexion
network.server.ServerConnexion

All Implemented Interfaces:
  `PacketVisitor`

public class ServerConnexion extends Connexion

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerConnexion(Socket socket, Server server)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `nukeConnection()`
  `void`
  `setSudoku(MultiDoku doku)`
  `boolean`
  `update()`
  `void`
  `visitPacket(ChangeCellPacket packet)`
  `void`
  `visitPacket(ConnexionInfoPacket packet)`
  `void`
  `visitPacket(DisconnectPacket packet)`
  `void`
  `visitPacket(EndGamePacket packet)`
  `void`
  `visitPacket(KeepAlivePacket packet)`
  `void`
  `visitPacket(LoginPacket packet)`
  `void`
  `visitPacket(PlayerJoinPacket packet)`
  `void`
  `visitPacket(PlayerLeavePacket packet)`
  `void`
  `visitPacket(StartGamePacket packet)`
  `void`
  `visitPacket(UpdatePlayerScorePacket packet)`

  ### Methods inherited from class network.Connexion

  `isClosed, sendPacket`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface network.protocol.PacketVisitor

  `visit`

- ## Constructor Details

  - ### ServerConnexion

    public ServerConnexion(Socket socket, Server server) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### update

    public boolean update()

  - ### nukeConnection

    public void nukeConnection()

  - ### close

    public void close()
    Overrides:
      `close` in class `Connexion`

  - ### visitPacket

    public void visitPacket(KeepAlivePacket packet)

  - ### visitPacket

    public void visitPacket(DisconnectPacket packet)

  - ### visitPacket

    public void visitPacket(LoginPacket packet)

  - ### visitPacket

    public void visitPacket(ConnexionInfoPacket packet)

  - ### visitPacket

    public void visitPacket(PlayerJoinPacket packet)

  - ### visitPacket

    public void visitPacket(PlayerLeavePacket packet)

  - ### visitPacket

    public void visitPacket(StartGamePacket packet)

  - ### visitPacket

    public void visitPacket(EndGamePacket packet)

  - ### visitPacket

    public void visitPacket(UpdatePlayerScorePacket packet)

  - ### visitPacket

    public void visitPacket(ChangeCellPacket packet)

  - ### setSudoku

    public void setSudoku(MultiDoku doku)